Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575111 - [abrt] _cond_resched: WARNING: CPU: 0 PID: 3986 at drivers/gpu/drm/nouveau/include/nvkm/subdev/i2c.h:170 nouveau_dp_detect+0x9b/0x360 [nouveau]
Summary: [abrt] _cond_resched: WARNING: CPU: 0 PID: 3986 at drivers/gpu/drm/nouveau/in...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ee1587c74c90f305d69c6535cd2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 19:14 UTC by Luke Meyer
Modified: 2018-11-30 21:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:28:40 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (229.38 KB, text/plain)
2018-05-04 19:15 UTC, Luke Meyer
no flags Details

Description Luke Meyer 2018-05-04 19:14:59 UTC
Description of problem:
My laptop is docked with two external monitors.
I locked my screen. When I came back later both screens were blank and stayed blank.
I tried undocking, opening the lid, suspending/un-suspending and such.
Beyond that, no idea what's going on.

Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 0 PID: 3986 at drivers/gpu/drm/nouveau/include/nvkm/subdev/i2c.h:170 nouveau_dp_detect+0x9b/0x360 [nouveau]
Modules linked in: hid_logitech_hidpp hid_logitech_dj xt_nat xt_recent xt_mark xt_comment uas usb_storage veth btrfs xor zstd_compress raid6_pq zstd_decompress xxhash vfat fat ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype br_netfilter overlay tun snd_usb_audio snd_usbmidi_lib snd_rawmidi thunderbolt nvmem_core rfcomm fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw cmac iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4
 iwlmvm intel_rapl snd_hda_codec_realtek x86_pkg_temp_thermal intel_powerclamp coretemp mei_wdt snd_hda_codec_generic mac80211 iTCO_wdt iTCO_vendor_support kvm_intel kvm uvcvideo snd_hda_intel snd_hda_codec irqbypass snd_hda_core iwlwifi intel_cstate videobuf2_vmalloc videobuf2_memops snd_hwdep snd_seq btusb intel_uncore btrtl btbcm snd_seq_device videobuf2_v4l2 btintel intel_rapl_perf videobuf2_core cfg80211 snd_pcm bluetooth videodev joydev mei_me thinkpad_acpi rtsx_pci_ms snd_timer memstick intel_wmi_thunderbolt media wmi_bmof snd tpm_tis mei tpm_tis_core ecdh_generic tpm soundcore i2c_i801 intel_pch_thermal rfkill shpchp xfs libcrc32c dm_crypt nouveau i915 rtsx_pci_sdmmc mmc_core mxm_wmi ttm i2c_algo_bit drm_kms_helper e1000e crct10dif_pclmul crc32_pclmul crc32c_intel drm nvme ghash_clmulni_intel
 ptp nvme_core pps_core wmi serio_raw rtsx_pci video
CPU: 0 PID: 3986 Comm: kworker/0:1 Not tainted 4.15.16-300.fc27.x86_64 #1
Hardware name: LENOVO 20EQS64N0B/20EQS64N0B, BIOS N1EET73W (1.46 ) 09/28/2017
Workqueue: events nouveau_display_hpd_work [nouveau]
RIP: 0010:nouveau_dp_detect+0x9b/0x360 [nouveau]
RSP: 0018:ffffbbda0bc77ce0 EFLAGS: 00010293
RAX: 0000000000000000 RBX: ffff946a3b7ff400 RCX: 0000000000000000
RDX: ffffbbda0500e584 RSI: ffffbbda0500e584 RDI: 0000000001009007
RBP: ffff946a3b4b6000 R08: ffffbbda0bc77cf0 R09: ffffbbda0bc77cea
R10: 0000000000000000 R11: 0000000000000010 R12: ffff946a34b9e000
R13: ffff946a3b4be000 R14: ffff946a32827330 R15: ffff946a3b7ff418
FS:  0000000000000000(0000) GS:ffff946a5f400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000000c41f9c4560 CR3: 00000007a520a002 CR4: 00000000003606f0
Call Trace:
 ? _cond_resched+0x15/0x40
 nouveau_connector_detect+0x2ea/0x4f0 [nouveau]
 ? _cond_resched+0x15/0x40
 ? ww_mutex_lock+0x12/0x70
 ? drm_helper_probe_detect_ctx+0xbc/0xe0 [drm_kms_helper]
 drm_helper_probe_detect_ctx+0xbc/0xe0 [drm_kms_helper]
 drm_helper_hpd_irq_event+0xa8/0x120 [drm_kms_helper]
 nouveau_display_hpd_work+0x2a/0x70 [nouveau]
 process_one_work+0x175/0x390
 worker_thread+0x2e/0x380
 ? process_one_work+0x390/0x390
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? do_syscall_64+0x74/0x180
 ? SyS_exit_group+0x10/0x10
 ret_from_fork+0x35/0x40
Code: 4c 24 0a 4c 8d 44 24 10 31 c9 ba 09 00 00 00 be 01 00 00 00 48 89 ef e8 94 c3 f7 ff 85 c0 0f 85 8f 00 00 00 80 7c 24 0a 08 74 02 <0f> 0b 48 89 ef e8 6b c1 f7 ff 44 0f b6 44 24 11 0f b6 4c 24 12

Comment 1 Luke Meyer 2018-05-04 19:15:08 UTC
Created attachment 1431550 [details]
File: dmesg

Comment 2 Ben Cotton 2018-11-27 15:49:00 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:28:40 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.